//
// Codefertiggericht: Benutzereingabe von der Tastatur einlesen
//

import java.io.*;

public class Benutzereingabe {
	
	// Eingabe einlesen und als String zurueckliefern
	public String getString (String prompt) {
		String eingabeZeile = null;
		System.out.print (prompt + " ");
		
		try{
			BufferedReader is = new BufferedReader (new InputStreamReader (System.in));
			eingabeZeile = is.readLine ();
			if (eingabeZeile.length () == 0 ) return "";	// leeren String zurueckliefern, wenn nur Return gedrckt wird
		} catch (IOException e) {
			System.out.println ("IOException: " + e);
		}
		
		return eingabeZeile;
	}

	// NumberFormatException wenn keine Zahl eingegeben wird
	public int getInt (String prompt) {
		int eingabeZahl = 0;
		boolean exceptionAufgetreten;
		
		do {
			exceptionAufgetreten = false;
			try {
				eingabeZahl = Integer.parseInt (getString(prompt));
			} catch (NumberFormatException ex) {
				//System.out.println(ex.getMessage());
				//ex.printStackTrace();
				System.out.println ("Es ist eine Exception aufgetreten: Sie haben keine Zahl eingegeben!");
				exceptionAufgetreten = true;
			}
		} while (exceptionAufgetreten);
		
		return eingabeZahl;
	}
}