import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class GUITiere {

	// a label
	JLabel animalLabel;
	
	public static void main (String[] args) {
		GUITiere gui = new GUITiere();
		gui.doSomething();
	}
	
	public void doSomething() {
		// the frame is the window
		JFrame frame = new JFrame();
		
		// create a panel with BoxLayout
		JPanel panel = new JPanel();
		panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));

		// make the panel the content-pane of the frame
		frame.setContentPane(panel);

		
		// load the images as icons
		ImageIcon apeImageIcon = new ImageIcon("affe.jpg");
		ImageIcon lionImageIcon = new ImageIcon("loewe.jpg");
		ImageIcon bearImageIcon = new ImageIcon("baer.jpg");
		ImageIcon bunnyImageIcon = new ImageIcon("hase.jpg");

		// create buttons with icons (note: ImageIcon implements interface Icon)
		JButton apeButton = new JButton(apeImageIcon);
		apeButton.addActionListener(new ApeButtonListener());
		
		JButton lionButton = new JButton(lionImageIcon);
		lionButton.addActionListener(new LionButtonListener());

		JButton bearButton = new JButton(bearImageIcon);
		bearButton.addActionListener(new BearButtonListener());

		JButton bunnyButton = new JButton(bunnyImageIcon);
		bunnyButton.addActionListener(new BunnyButtonListener());

		// add the buttons to the panel
		panel.add(apeButton);
		panel.add(lionButton);
		panel.add(bearButton);
   		panel.add(bunnyButton);
		
		// create the label and add it to the panel
		animalLabel = new JLabel("Touch an animal!");
		panel.add(animalLabel);
		
		
		// finish initialization of the frame
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.pack();				// let Java calculate the necessary size for the window
		//frame.setSize(100,500);	// alternatively we can set the size
		frame.setVisible(true);		
	}
	
	// each button gets an inner class that listens for a button press
	class ApeButtonListener implements ActionListener {
		public void actionPerformed (ActionEvent e) {
			animalLabel.setText("I'm a monkey.");
			System.out.println("I'm a monkey.");
		}
	}
	
	class LionButtonListener implements ActionListener {
		public void actionPerformed (ActionEvent e) {
			animalLabel.setText("I'm a lion.");
			System.out.println("I'm a lion.");
		}
	}

	class BearButtonListener implements ActionListener {
		public void actionPerformed (ActionEvent e) {
			animalLabel.setText("I'm a bear.");
			System.out.println("I'm a bear.");
		}
	}

	class BunnyButtonListener implements ActionListener {
		public void actionPerformed (ActionEvent e) {
			animalLabel.setText("I'm a bunny.");
			System.out.println("I'm a bunny.");
		}
	}	
}